org.h2.mvstore

## Class Chunk.PositionComparator<C extends Chunk<C>>

- java.lang.Object
- - org.h2.mvstore.Chunk.PositionComparator<C>

All Implemented Interfaces:
  java.util.Comparator<C>

Enclosing class:
  Chunk<C extends Chunk<C>>

    public static final class Chunk.PositionComparator<C extends Chunk<C>>
    extends java.lang.Object
    implements java.util.Comparator<C>

### Field Summary

Fields
`static java.util.Comparator<? extends Chunk<?>>` `INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `compare(C one, C two)`
`static <C extends Chunk<C>> java.util.Comparator<C>` `instance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### INSTANCE

    public static final java.util.Comparator<? extends Chunk<?>> INSTANCE

### Method Detail

#### instance

    public static <C extends Chunk<C>> java.util.Comparator<C> instance()

#### compare

    public int compare(C one,
                       C two)

Specified by:
  `compare` in interface `java.util.Comparator<C extends Chunk<C>>`